package pipe.gui;

import javax.swing.AbstractAction;
import javax.swing.*;
import javax.swing.JInternalFrame;
import java.awt.*;
import java.awt.event.*;

import pipe.dataLayer.*;

public class EditWeightingAction extends AbstractAction{

  private String label;
  private Container contentPane;
  private Arc selected;

  public EditWeightingAction(Container contentPane, ArrowLabel arrowLabel){
    this.contentPane = contentPane;
    selected = arrowLabel.getArc();
  }


  public void actionPerformed(ActionEvent e){

    int currentWeighting = selected.getWeighting();

    String input = JOptionPane.showInputDialog("Weighting:", String.valueOf(currentWeighting));
    try {
      int newWeighting = Integer.parseInt(input);
      if(newWeighting < 1)
        JOptionPane.showMessageDialog(contentPane, "Weighting cannot be less than 1.  Please re-enter");
      else
        selected.setWeighting(newWeighting);

    } catch(Exception exc){
      if(input!=null)
        JOptionPane.showMessageDialog(contentPane, "Please enter a number.", "Invalid entry", JOptionPane.ERROR_MESSAGE);
      System.out.println(exc.toString());
    }
  }
}


